import { Input, View } from '@tarojs/components';
import React from 'react';
import styles from './index.module.scss';

export default function YInput(props) {
  const { className, wrapperClassName, children, ...restProps } = props;
  return (
    <View className={[styles.yInpWrapper, wrapperClassName]}>
      <Input className={[styles.yInp, className]} {...restProps} />
      {
        children
          ? (
            <View className={styles.suffix}>
              {children}
            </View>
          )
          : null
      }
      
    </View>
  )
}